// dynamic use hook props
export function getDynamicProps<T extends {}, U>(props: T): Partial<U> {
  const ret: any = {};

  Object.keys(props).map((key) => {
    ret[key] = unref((props as any)[key]);
  });

  return ret as Partial<U>;
}
